routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Mail\MensagemReset;
use App\Http\Middleware\LogAcessoMiddleware;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(LogAcessoMiddleware::class)->get('/', 'PrincipalController@principal')->name('site.index');

Route::middleware(['auth', LogAcessoMiddleware::class])->prefix('/app')->group(function(){
    
    Route::resource('fornecedor', 'FornecedorController');
    Route::resource('ordenador', 'OrdenadorController');
    Route::resource('empenho', 'EmpenhoController');    
    Route::post('mcc/mostraMccs/', 'MccController@mostraMccs')->name('mostraMccs');
    Route::post('mcc/get_mcc/', 'MccController@getMcc')->name('get-mcc');        
    Route::resource('mcc', 'MccController');    
    Route::post('import-empenho', 'ImportEmpenhoController@import')->name('importEmpenho');
    Route::post('import-mcc', 'ImportMccController@import')->name('importMcc');
    Route::resource('setor', 'SetorController');
    Route::resource('uf', 'UFController');
    Route::resource('tipo', 'TipoLogradouroController');
    Route::resource('logradouro', 'LogradouroController');
    Route::resource('contrato', 'ContratoController');
    Route::resource('pessoa', 'TipoPessoaController');
    Route::resource('espelhamento', 'EspelhamentoController');   
    Route::resource('prepara_espelhamento', 'PreparaEspelhamentoController');    
    Route::get('ido/teste/', 'IdoController@teste')->name('teste');
    Route::resource('ido', 'IdoController');                                  
    Route::resource('lancamento_ido', 'LancamentoIdoController');                   
    Route::resource('natureza_despesa', 'NaturezaDespesasController');                     
    Route::resource('item_despesa', 'ItemNatdespesasController');                   
    Route::post('item_despesa/getItens/{item}', 'ItemNatdespesasController@getItens')->name('get-itens');     
    Route::get('item_despesa/getItens/{item}', 'ItemNatdespesasController@getItens')->name('get-itens');     
    Route::post('imprimir_protocolo', 'ImprimirEmpenhoController@imprimir_protocolo')->name('imprimir_protocolo');
    Route::post('lancamento_unico', 'ImprimirEmpenhoController@lancamento_unico')->name('lancamento_unico');
    Route::resource('recurso_sicom', 'RecursoSicomController');
    Route::resource('modalidade', 'ModalidadeController');
    Route::get('origem-destino/getUsuario/{usuario}', 'OrigemDestinoController@getUsuario');    
    Route::resource('origem-destino', 'OrigemDestinoController');
    
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/mensagem-reset', function() {
	return new MensagemReset();

});

Route::get('/online-user', 'UserController@index')->name('online_user');

app/Modalidade.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Modalidade extends Model
{
    //
    protected $fillable = ['nome_modalidade'];

    public function idos(){
        return $this->hasMany(Ido::class);
    }

}

app/Http/Controllers/ModalidadeController.php
<?php

namespace App\Http\Controllers;

use App\Modalidade;
use Illuminate\Http\Request;

class ModalidadeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $modalidades = Modalidade::all();
        return view('app.modalidade.create', ['modalidades' => $modalidades]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        Modalidade::create($request->all());        
        return redirect()->route('modalidade.create');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Modalidade  $modalidade
     * @return \Illuminate\Http\Response
     */
    public function show(Modalidade $modalidade)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Modalidade  $modalidade
     * @return \Illuminate\Http\Response
     */
    public function edit(Modalidade $modalidade)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Modalidade  $modalidade
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Modalidade $modalidade)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Modalidade  $modalidade
     * @return \Illuminate\Http\Response
     */
    public function destroy(Modalidade $modalidade)
    {
        //
    }
}

resources/views/app/modalidade/create.blade.php
@extends('site.layouts.basico')

    @section('titulo', 'Modalidade')

    @section('conteudo') 
<body>
    
    @include('site.layouts._partials.topo')
    <div class="container-fluid py-5">
        <h1 class="text-header fw-bold texto-preto header alinhar-titulo">MODALIDADES - Adicionar</h1>                            
    </div>    

    <div class="conteudo-pagina-2">        
        
        <div class="container-fluid texto-container" style="padding-top:10px;">
        
        <form method="post" action="{{ route('modalidade.store') }}" style="padding-top:10px;" class="row gy-2 gx-3 align-items-center cor-container">            
            
            @csrf

                <div class="col-md-5">  
                    <label for="inputNome" class="form-label">NOME DA MODALIDADE</label>   
                    <input type="text" name="nome_modalidade" value="{{ old('nome_modalidade') }}" class="form-control">
                    {{ $errors->has('nome_modalidade') ? $errors->first('nome_modalidade') : '' }}
                </div> 

                <div class="quebralinha">
                    <br />
                </div>

                <div class="col-md-2">                    
                    <button type="submit" class="form-control btn-success" style="color:#fff;">CADASTRAR</button>
                </div>                    

            </form>

        </div>

        <div class="container-fluid" style="margin-top:10px;">
            <table class="table table-dark table-striped table-hover" id="dataTable">
                <thead>
                    <tr>
                        <th class="texto-caixa-alta">CÓDIGO DA MODALIDADE</th>
                        <th class="texto-caixa-alta">NOME DA MODALIDADE</th>                                                                        
                        
                    </tr>
                </thead>
                <tbody>
                    @foreach ($modalidades as $modalidade)
                    <tr>
                        <td>{{ $modalidade->id }}</td>
                        <td>{{ $modalidade->nome_modalidade }}</td>                        
                    </tr>                            
                    @endforeach
                </tbody>    
            </table>        
        </div>           

    </div>   

</body>   

@endsection